Class | SOAP::EncodingStyle::Handler
In: | soap/encodingstyle/handler.rb
Parent: | Object

### Methods

decode_epilogue decode_prologue decode_tag decode_tag_end decode_text decode_typemap= each encode_data encode_data_end encode_epilogue encode_prologue handler new uri

### Classes and Modules

Class SOAP::EncodingStyle::Handler::EncodingStyleError

### Attributes

charset | [R] |
generate_explicit_type | [RW] |

### Public Class methods

each() {|value| ...}

[Source]

    # File soap/encodingstyle/handler.rb, line 32
        def each
          @@handlers.each do |key, value|
            yield(value)
          end
        end

handler(uri)

[Source]

    # File soap/encodingstyle/handler.rb, line 28
        def handler(uri)
          @@handlers[uri]
        end

new(charset)

[Source]

    # File soap/encodingstyle/handler.rb, line 51
      def initialize(charset)
        @charset = charset
        @generate_explicit_type = true
        @decode_typemap = nil
      end

uri()

[Source]

    # File soap/encodingstyle/handler.rb, line 24
        def uri
          self::Namespace
        end

### Public Instance methods

decode_epilogue()

[Source]

    # File soap/encodingstyle/handler.rb, line 94
      def decode_epilogue
      end

decode_prologue()

[Source]

    # File soap/encodingstyle/handler.rb, line 91
      def decode_prologue
      end

decode_tag(ns, name, attrs, parent)

     decode interface.

Returns SOAP/OM data.

[Source]

    # File soap/encodingstyle/handler.rb, line 79
      def decode_tag(ns, name, attrs, parent)
        raise NotImplementError.new('Method decode_tag must be defined in derived class.')
      end

decode_tag_end(ns, name)

[Source]

    # File soap/encodingstyle/handler.rb, line 83
      def decode_tag_end(ns, name)
        raise NotImplementError.new('Method decode_tag_end must be defined in derived class.')
      end

decode_text(ns, text)

[Source]

    # File soap/encodingstyle/handler.rb, line 87
      def decode_text(ns, text)
        raise NotImplementError.new('Method decode_text must be defined in derived class.')
      end

decode_typemap=(definedtypes)

[Source]

    # File soap/encodingstyle/handler.rb, line 47
      def decode_typemap=(definedtypes)
        @decode_typemap = definedtypes
      end

encode_data(generator, ns, data, parent)

     encode interface.

Returns a XML instance as a string.

[Source]

    # File soap/encodingstyle/handler.rb, line 61
      def encode_data(generator, ns, data, parent)
        raise NotImplementError
      end

encode_data_end(generator, ns, data, parent)

[Source]

    # File soap/encodingstyle/handler.rb, line 65
      def encode_data_end(generator, ns, data, parent)
        raise NotImplementError
      end

encode_epilogue()

[Source]

    # File soap/encodingstyle/handler.rb, line 72
      def encode_epilogue
      end

encode_prologue()

[Source]

    # File soap/encodingstyle/handler.rb, line 69
      def encode_prologue
      end

[Validate]